summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorLucki2017-07-13 00:59:02 +0200
committerLucki2017-07-13 00:59:02 +0200
commitdc612fd3393a993410923ecaf50aec1b78deed9e (patch)
tree6580672594fd858412b191a7d327aba543864658
parent870c50ddf59723fe45aa4416d54b450f811834b7 (diff)
downloadaur-dc612fd3393a993410923ecaf50aec1b78deed9e.tar.gz
Updated url
-rw-r--r--.SRCINFO6
-rw-r--r--PKGBUILD16
2 files changed, 11 insertions, 11 deletions
diff --git a/.SRCINFO b/.SRCINFO
index aab775ba842..1e59b3205b4 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,9 +1,9 @@
# Generated by mksrcinfo v8
-# Wed Feb 22 16:40:00 UTC 2017
+# Wed Jul 12 22:57:23 UTC 2017
pkgbase = clonepoint-git
pkgdesc = Free software clone of Gunpoint
pkgver = r70.9c8a828
- pkgrel = 1
+ pkgrel = 2
url = https://rohit.itch.io/clonepoint
changelog = .CHANGELOG
arch = i686
@@ -15,7 +15,7 @@ pkgbase = clonepoint-git
provides = clonepoint
backup = opt/clonepoint/config.cfg
source = clonepoint-git::git+https://github.com/rohit-n/Clonepoint.git
- source = clonepoint_linux.tar.gz::https://w3g3a5v6.ssl.hwcdn.net/upload2/game/17230/142200?GoogleAccessId=507810471102@developer.gserviceaccount.com&Expires=1487779020&Signature=Vy6WEYKS1z4nvbeTPlzk57mgG55ao5fFsW9pnNH6OnRBwYhqXMUZJ1sggRTHzT6mYhAcveroDJZluapEEJoT2WeP2PQp8MzkwqOGgcgVlz2rVmB2pdtXQURlYxVTG9Ek2Wz7LpeiJSPcxqMW5GCa9SLrAimwBt1egMUMBCjOiK4=&hwexp=1487779320&hwsig=08bec548b8440e2b3e0ba63f5e34b946
+ source = clonepoint_linux.tar.gz::https://drive.google.com/uc?export=download&id=0B_fe1fNijaueM1ZtdjBOcndOM0U
source = clonepoint.sh
sha512sums = SKIP
sha512sums = 261c19b4b2cf4cfcd8c568e0aa89779b754c935545e07238c737592d06c1e5828a52a3e8d62a6d51cec4c880a821da05060c86c1539f5dd982e8fcfd7f509ca3
diff --git a/PKGBUILD b/PKGBUILD
index 8d2eae31340..e048711a74a 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -4,7 +4,7 @@ pkgname=clonepoint-git
_pkgname=clonepoint
pkgver=r70.9c8a828
-pkgrel=1
+pkgrel=2
pkgdesc="Free software clone of Gunpoint"
arch=('i686' 'x86_64')
url="https://rohit.itch.io/clonepoint"
@@ -14,9 +14,9 @@ backup=('opt/clonepoint/config.cfg')
depends=('openal' 'sdl2')
makedepends=('git')
provides=('clonepoint')
-source=(${pkgname}::git+https://github.com/rohit-n/Clonepoint.git
- 'clonepoint_linux.tar.gz::https://w3g3a5v6.ssl.hwcdn.net/upload2/game/17230/142200?GoogleAccessId=507810471102@developer.gserviceaccount.com&Expires=1487779020&Signature=Vy6WEYKS1z4nvbeTPlzk57mgG55ao5fFsW9pnNH6OnRBwYhqXMUZJ1sggRTHzT6mYhAcveroDJZluapEEJoT2WeP2PQp8MzkwqOGgcgVlz2rVmB2pdtXQURlYxVTG9Ek2Wz7LpeiJSPcxqMW5GCa9SLrAimwBt1egMUMBCjOiK4=&hwexp=1487779320&hwsig=08bec548b8440e2b3e0ba63f5e34b946'
- 'clonepoint.sh')
+source=("${pkgname}::git+https://github.com/rohit-n/Clonepoint.git"
+ "clonepoint_linux.tar.gz::https://drive.google.com/uc?export=download&id=0B_fe1fNijaueM1ZtdjBOcndOM0U"
+ "clonepoint.sh")
sha512sums=('SKIP'
'261c19b4b2cf4cfcd8c568e0aa89779b754c935545e07238c737592d06c1e5828a52a3e8d62a6d51cec4c880a821da05060c86c1539f5dd982e8fcfd7f509ca3'
'8b5ec604d5023db4f6103a7d679c4b42fc9319f59afb431b0c73718d690141553653806fbd7640b06fd1d55196b3f854507bb4383633519364b783d0ab31ebdf')
@@ -25,7 +25,7 @@ sha512sums=('SKIP'
pkgver()
{
# https://wiki.archlinux.org/index.php/VCS_package_guidelines#Git
- cd "${srcdir}/${pkgname}"
+ cd "${srcdir}/${pkgname}" || exit
( set -o pipefail
git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
@@ -38,18 +38,18 @@ prepare()
gendesk -n -f --categories "Game"
# update .CHANGELOG
- git -C ${srcdir}/${pkgname} log --graph -10 > ${startdir}/.CHANGELOG
+ git -C "${srcdir}/${pkgname}" log --graph -10 > "${startdir}/.CHANGELOG"
}
build()
{
- cd "$srcdir/$pkgname"
+ cd "${srcdir}/${pkgname}" || exit
make
}
package()
{
- cd "$srcdir/$pkgname"
+ cd "${srcdir}/${pkgname}" || exit
install -Dm644 "${srcdir}/${_pkgname}.desktop" "${pkgdir}/usr/share/applications/${_pkgname}.desktop"
install -Dm755 "${srcdir}/${pkgname}/${_pkgname}" "${pkgdir}/opt/${_pkgname}/${_pkgname}"